# Uses of Interface
org.eclipse.jdt.debug.core.IJavaType

Packages that use IJavaType
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaType in org.eclipse.jdt.debug.core

Subinterfaces of IJavaType in org.eclipse.jdt.debug.core
Modifier and Type
Interface
Description
`interface`
`IJavaArrayType`
The type of an array on a Java debug target.
`interface`
`IJavaClassType`
The class of an object on a Java debug target.
`interface`
`IJavaInterfaceType`
An interface an object implements on a Java debug target.
`interface`
`IJavaReferenceType`
Represents the type of an object in a virtual machine - including classes, interfaces and array types.
Methods in org.eclipse.jdt.debug.core that return IJavaType
Modifier and Type
Method
Description
`IJavaType`
IJavaArrayType.`getComponentType()`
Returns the type of the elements in this array.
`IJavaType`
IJavaFieldVariable.`getDeclaringType()`
Returns the type that declares this variable.
`IJavaType`
IJavaClassObject.`getInstanceType()`
Returns the type associated with instances of this class.
`IJavaType`
IJavaValue.`getJavaType()`
Returns the type of this value, or `null` if this value represents the `null` value
`IJavaType`
IJavaVariable.`getJavaType()`
Returns the declared type of this variable.
`IJavaType[]`
IJavaDebugTarget.`getJavaTypes(String name)`
Returns the types loaded in this debug target with the given fully qualified name, or `null` of no type with the given name is loaded.
Methods in org.eclipse.jdt.debug.core with parameters of type IJavaType
Modifier and Type
Method
Description
`int`
IJavaBreakpointListener.`installingBreakpoint(IJavaDebugTarget target, IJavaBreakpoint breakpoint, IJavaType type)`
Notification that the given breakpoint is about to be installed in the specified target, in the specified type.